diff -Nru blackbox-0.70.1/debian/control blackbox-0.70.1/debian/control
--- blackbox-0.70.1/debian/control	2011-11-23 16:32:22.000000000 +0900
+++ blackbox-0.70.1/debian/control	2011-11-30 11:13:37.000000000 +0900
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.15.7~), libxft-dev, libxt-dev,
+Build-Depends: debhelper (>> 7.0.50~), libxft-dev, libxt-dev,
   autoconf, automake, libtool, autotools-dev, libxext-dev
 Standards-Version: 3.9.2
 Homepage: http://blackboxwm.sourceforge.net/
diff -Nru blackbox-0.70.1/debian/rules blackbox-0.70.1/debian/rules
--- blackbox-0.70.1/debian/rules	2011-11-21 02:27:53.000000000 +0900
+++ blackbox-0.70.1/debian/rules	2011-11-30 11:20:06.000000000 +0900
@@ -4,69 +4,36 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 CFLAGS = -Wall -g $(shell dpkg-buildflags --get CFLAGS)
 
-config.status: configure
-	dh_testdir
-	autoreconf -vfi
-	CFLAGS="$(CFLAGS)" ./configure \
+confflags := \
         --host=$(DEB_HOST_GNU_TYPE) \
         --build=$(DEB_BUILD_GNU_TYPE) \
         --prefix=/usr \
         --mandir=\$${prefix}/share/man \
         --infodir=\$${prefix}/share/info \
         --sysconfdir=/etc/X11/blackbox \
-        --enable-shared
+        --enable-shared \
+	$(NULL)
+
+%:
+	dh $@
 
-build: build-arch build-indep
-build-arch: build-stamp
-build-indep: build-stamp
+override_dh_auto_configure:
+	autoreconf -vfi
+	CFLAGS="$(CFLAGS)" dh_auto_configure -- $(confflags)
 
-build-stamp: config.status
-	dh_testdir
+override_dh_auto_build:
 	$(MAKE) DEFAULT_MENU=/etc/X11/blackbox/blackbox-menu
-	touch build-stamp
 
-clean:
-	dh_testdir
-	dh_testroot
-	rm -f build-stamp config.log 
+override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) distclean
 	cp -f /usr/share/misc/config.sub config.sub
 	cp -f /usr/share/misc/config.guess config.guess
-	dh_clean 
-
-install: build
-	dh_testdir
-	dh_testroot
-	dh_prep
-	dh_installdirs
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	rm -f debian/tmp/usr/share/blackbox/menu
-	rm -f $(CURDIR)/debian/libbt/usr/share/doc/libbt
-	dh_link -plibbt usr/share/doc/libbt0 usr/share/doc/libbt
 
-binary-indep: build install
-
-binary-arch: build install
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs ChangeLog
-	dh_installdocs
-	dh_installexamples
+override_dh_install:
 	dh_install
-	dh_installmenu
-	dh_installman
-	dh_icons
-	dh_installwm
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms
-	dh_makeshlibs
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	rm -f $(CURDIR)/debian/blackbox/usr/share/blackbox/menu
 
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install 
+override_dh_link:
+	rm -rf $(CURDIR)/debian/libbt/usr/share/doc/libbt
+	dh_link -plibbt usr/share/doc/libbt0 usr/share/doc/libbt
+	dh_link
